Subject: Re: linux-next: manual merge of the ipsec-next tree with Linus' tree

From: David Ahern <[email-masked]>
Date: Thu, 4 Jun 2020 06:44:10 -0600

On 6/4/20 12:41 AM, Steffen Klassert wrote:
> On Wed, Jun 03, 2020 at 08:55:01PM -0600, David Ahern wrote:
>> On 6/3/20 7:26 PM, Stephen Rothwell wrote:
>>>
>>> And now the net-next tree has been merged into Linus' tree without this fix :-(
>>>
>>
>> I took a look earlier and I think it is fine. Some code was moved around
>> in ipsec-next and I think the merge is good. I'll run the test cases
>> later this week and double check. Thanks for the reminder
> 
> The setting of XFRM_TRANSFORMED moved to xfrm_output() and depends
> on CONFIG_NETFILTER. So I think the fix is needed. After the merge
> of the net tree today, I have both conflicting patches patches in
> the ipsec tree. I'd apply the fix from Stephen unless you say
> it is not needed.
> 

Indeed. I must have been looking at -net. Both -net and -net-next have
it conditional, so yes a fixup patch is needed.